"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var urql_1 = require("urql");
var mutation = urql_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  mutation CreateMqlQueryFromDbId(\n    $attemptNum: Int!\n    $dbId: Int!\n  ) {\n    createMqlQueryFromDbId(\n      input: {\n        attemptNum: $attemptNum\n        dbId: $dbId\n      }\n    ) {\n      id\n      query {\n        id\n        dbId\n        availableChartTypes\n        createdAt\n        status\n        metrics\n        dimensions\n        error\n        chartValueMax\n        chartValueMin\n\n        whereConstraint\n        requestedGranularity\n        groupBy\n        latestXDays\n        maxDimensionValues\n        constraint {\n          constraint {\n            constraintType\n            dimensionName\n            values\n            start\n            stop\n          }\n          And {\n            constraintType\n            dimensionName\n            values\n            start\n            stop\n          }\n        }\n        trimIncompletePeriods\n        timeComparison\n        timeConstraint {\n          dimensionName\n          timeFormat\n          start\n          stop\n          timeGranularity\n        }\n        numPostprocessedResults\n        dbId\n        result {\n          seriesValue\n          data {\n            y\n            ... on TimeSeriesDatum {\n              xDate\n            }\n          }\n        }\n      }\n    }\n  }\n"], ["\n  mutation CreateMqlQueryFromDbId(\n    $attemptNum: Int!\n    $dbId: Int!\n  ) {\n    createMqlQueryFromDbId(\n      input: {\n        attemptNum: $attemptNum\n        dbId: $dbId\n      }\n    ) {\n      id\n      query {\n        id\n        dbId\n        availableChartTypes\n        createdAt\n        status\n        metrics\n        dimensions\n        error\n        chartValueMax\n        chartValueMin\n\n        whereConstraint\n        requestedGranularity\n        groupBy\n        latestXDays\n        maxDimensionValues\n        constraint {\n          constraint {\n            constraintType\n            dimensionName\n            values\n            start\n            stop\n          }\n          And {\n            constraintType\n            dimensionName\n            values\n            start\n            stop\n          }\n        }\n        trimIncompletePeriods\n        timeComparison\n        timeConstraint {\n          dimensionName\n          timeFormat\n          start\n          stop\n          timeGranularity\n        }\n        numPostprocessedResults\n        dbId\n        result {\n          seriesValue\n          data {\n            y\n            ... on TimeSeriesDatum {\n              xDate\n            }\n          }\n        }\n      }\n    }\n  }\n"])));
exports.default = mutation;
var templateObject_1;
